Skip to main content
POST
/
core.v1.InsightsService
/
ListInsights
cURL
curl -X POST "https://api.joinformal.com/core.v1.InsightsService/ListInsights" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "example": "value"
  }'
{
  "insights": [
    {
      "id": "<string>",
      "orgId": "<string>",
      "title": "<string>",
      "description": "<string>",
      "category": "<string>",
      "severity": "<string>",
      "confidence": 123,
      "outcome": "<string>",
      "status": "<string>",
      "subjectType": "<string>",
      "subjectId": "<string>",
      "subjectLabel": "<string>",
      "subjectOnBehalfOf": "<string>",
      "evidence": [
        {
          "type": "<string>",
          "ref": "<string>",
          "hitCount": "<unknown>",
          "timeWindowStart": "2023-11-07T05:31:56Z",
          "timeWindowEnd": "2023-11-07T05:31:56Z"
        }
      ],
      "suggestedAction": {
        "type": "<string>",
        "summary": "<string>",
        "formalHint": {
          "name": "<string>",
          "description": "<string>",
          "code": "<string>",
          "resourceName": "<string>",
          "action": "<string>",
          "dryRun": true
        }
      },
      "reasoning": "<string>",
      "sourceThreatEvaluationId": "<string>",
      "fingerprint": "<string>",
      "occurrenceCount": 123,
      "firstSeenAt": "2023-11-07T05:31:56Z",
      "lastSeenAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "categoryId": "<string>"
    }
  ],
  "totalCount": 123
}

Authorizations

X-API-KEY
string
header
required

API key authentication. Get your API key from the Formal console.

Body

application/json
limit
integer<int32>
Required range: x <= 500
status
string | null
severity
string | null
category
string | null

Filter by category ID (e.g. llm01_prompt_injection), not display label.

outcome
string | null
order
string

Sort order: "asc" or "desc" (default "desc").

offset
integer<int32>

Zero-based offset for pagination (default 0).

sortBy
string

Column to sort by: "created_at" (default), "severity", "category_id", "first_seen_at", "last_seen_at", "title".

Response

Success

insights
Insight · object[]
totalCount
integer<int32>